## EvSidebarLinks EvSidebarLinks |

## Functions

GtkWidget * | ev_sidebar_links_new ()

## Properties

GtkTreeModel * | model | Read / Write

## Signals

void | link-activated | Action

## Types and Values

struct | EvSidebarLinks
struct | EvSidebarLinksClass
| EvSidebarLinksPrivate

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBox
                        ╰── EvSidebarLinks

## Implemented Interfaces

EvSidebarLinks implements AtkImplementorIface, GtkBuildable, GtkOrientable and EvSidebarPage.

## Description

## Functions

### ev_sidebar_links_new ()

    GtkWidget *
    ev_sidebar_links_new (void);

## Types and Values

### struct EvSidebarLinks

    struct EvSidebarLinks;

### struct EvSidebarLinksClass

    struct EvSidebarLinksClass {
    	GtkVBoxClass base_class;

    	void    (* link_activated) (EvSidebarLinks *sidebar_links,
    				    EvLink         *link);
    };

### EvSidebarLinksPrivate

    typedef struct _EvSidebarLinksPrivate EvSidebarLinksPrivate;

## Property Details

### The `“model”` property

      “model”                    GtkTreeModel *

Current Model.

Flags: Read / Write

## Signal Details

### The `“link-activated”` signal

    void
    user_function (EvSidebarLinks *evsidebarlinks,
                   GObject        *arg1,
                   gpointer        user_data)

Flags: Action